NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.AME.EditEngineeringObjectBuilder Class Reference

JA class for the Eng object dialog More...

Inheritance diagram for NXOpen.AME.EditEngineeringObjectBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  SourceType { AssignEos, AssignPous }
 Assign EOs or POUs More...
 

Public Member Functions

unsafe void SetAspectStates (NXOpen.NXObject[] roots, int[] states)
 Pass Aspect States To Builder More...
 
unsafe void SetEngobjectsToEdit (NXOpen.AME.AMEEngObject[] engObject)
 Adds selected objects for Edit an aspect More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe string EngObjDescription [get, set]
 Returns or sets the string description More...
 
unsafe string EngObjName [get, set]
 Returns or sets the string name More...
 
unsafe
NXOpen.AME.EngineeringObjectAspectDetailBuilder 
ListAspectDetail [get]
 Returns the aspect detail ui block More...
 
unsafe
NXOpen.AME.SelectAMEBaseNodeList 
SelectedPlcBaseSymbols [get]
 Returns the selected plc symbols More...
 
unsafe NXOpen.SelectNXObject SelectionParent [get]
 Returns the selection where the object will be reassigned. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

JA class for the Eng object dialog

To create a new instance of this class, use NXOpen.AME.AMEManager.CreateEditEngineeringObjectBuilder

Created in NX11.0.0

Member Enumeration Documentation

Assign EOs or POUs

Enumerator
AssignEos 
AssignPous 

Member Function Documentation

unsafe void NXOpen.AME.EditEngineeringObjectBuilder.SetAspectStates ( NXOpen.NXObject[]  roots,
int[]  states 
)
inline

Pass Aspect States To Builder

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
rootsArray of Engineering Roots
statesArray of States
unsafe void NXOpen.AME.EditEngineeringObjectBuilder.SetEngobjectsToEdit ( NXOpen.AME.AMEEngObject[]  engObject)
inline

Adds selected objects for Edit an aspect

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
engObjectArray of Engineering Objects

Property Documentation

unsafe string NXOpen.AME.EditEngineeringObjectBuilder.EngObjDescription
getset

Returns or sets the string description

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe string NXOpen.AME.EditEngineeringObjectBuilder.EngObjName
getset

Returns or sets the string name

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.EngineeringObjectAspectDetailBuilder NXOpen.AME.EditEngineeringObjectBuilder.ListAspectDetail
get

Returns the aspect detail ui block

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.SelectAMEBaseNodeList NXOpen.AME.EditEngineeringObjectBuilder.SelectedPlcBaseSymbols
get

Returns the selected plc symbols

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.SelectNXObject NXOpen.AME.EditEngineeringObjectBuilder.SelectionParent
get

Returns the selection where the object will be reassigned.

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.